package de.ullisroboterseite.ursai2notification;

import android.app.AlarmManager;
import android.app.PendingIntent;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.os.PowerManager;

import android.app.Notification;
import android.app.NotificationChannel;
import android.app.NotificationManager;

import android.util.Log;

public class AlarmReceiver extends BroadcastReceiver {
    static final String LOG_TAG = ChannelProperties.LOG_TAG;

    /**
     * Wird ausgelöst, wenn der Alarmzeitpunkt erreicht ist.
     * @param context
     * @param alarmIntent Der Intent enthält alle Informationen, die zum Aufbau einer Notification notwenidig sind, einschließlich deren Intents.
     */
    @Override
    public void onReceive(Context context, Intent alarmIntent) {

        PowerManager pm = (PowerManager) context.getSystemService(Context.POWER_SERVICE);
        PowerManager.WakeLock wl = pm.newWakeLock(PowerManager.PARTIAL_WAKE_LOCK, "");
        wl.acquire();
        Notification notification = UrsNotification.buildFromIntentExtras(context, alarmIntent);//, pendingIntent);

        NotificationManager manager = (NotificationManager) context.getSystemService(Context.NOTIFICATION_SERVICE);
        manager.notify(alarmIntent.getIntExtra("NumberID", 0), notification);
        wl.release();
    }

}